com.aliyun.svideosdk.editor

## Interface AliyunIPipController

- All Superinterfaces:
    AliyunISteamController

      public interface AliyunIPipController
      extends AliyunISteamController

  v3.25.0 新增

  画中画（PIP）实例控制类

  您可以通过该控制器，设置PIP的所有属性及能力。其中包含多个二级控制器

  设置完必须调用 #apply `AliyunISteamController.apply()`方法应用生效。

  AliyunIPipController 设置PIP的流相关属性

  |------ AliyunIAudioController 设置PIP音频相关属性

  |------ AliyunILayoutController 设置PIP布局相关属性

  |------ AliyunIAnimationController 设置PIP动画相关属性

  |------ AliyunIAugmentationController 设置PIP画面增强相关属性

  注意：

  1，设置完属性必须调用#apply `AliyunISteamController.apply()`生效

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `AliyunIPipTrack` | `getOwnerTrack()` 获取该画中画所在的轨道信息
    `RectF` | `getPipRectFInCurrentScreen()` 获取当前PIP在屏幕上的显示区域
    `AliyunIPipController` | `setBorderColor(int value)` 设置边框颜色
    `AliyunIPipController` | `setBorderCornerRadius(float value)` 设置圆角边框
    `AliyunIPipController` | `setBorderWidth(float value)` 设置边框宽度
    `AliyunIPipController` | `setClipEndTime(long endTime, java.util.concurrent.TimeUnit timeUnit)` 设置播放结束时间，超过主流长度会截断
    `AliyunIPipController` | `setClipStartTime(long startTime, java.util.concurrent.TimeUnit timeUnit)` 设置开始时间
    `AliyunIPipController` | `setHorizontalFlip(boolean flip)` 设置水平镜像翻转
    `AliyunIPipController` | `setTimelineStartTime(long startTime, java.util.concurrent.TimeUnit timeUnit)` 设置在时间轴上的开始时间

    - ### Methods inherited from interface com.aliyun.svideosdk.editor.AliyunISteamController

      `apply, getAnimationController, getAudioController, getAugmentationController, getClipDurationInMillis, getClipStartTimeInMillis, getHeight, getLayoutController, getPath, getStreamId, getTimeLineEndTimeInMillis, getTimeLineStartTimeInMillis, getWidth`

- - ### Method Detail

    - #### setClipStartTime

          AliyunIPipController setClipStartTime(long startTime,
                                                java.util.concurrent.TimeUnit timeUnit)

      设置开始时间
      Specified by:
        `setClipStartTime` in interface `AliyunISteamController`
      Parameters:
        `startTime` -
        `timeUnit` - 时间单位

    - #### setClipEndTime

          AliyunIPipController setClipEndTime(long endTime,
                                              java.util.concurrent.TimeUnit timeUnit)

      设置播放结束时间，超过主流长度会截断
      Specified by:
        `setClipEndTime` in interface `AliyunISteamController`
      Parameters:
        `duration` -
        `timeUnit` - 时间单位

    - #### setTimelineStartTime

          AliyunIPipController setTimelineStartTime(long startTime,
                                                    java.util.concurrent.TimeUnit timeUnit)

      设置在时间轴上的开始时间
      Specified by:
        `setTimelineStartTime` in interface `AliyunISteamController`
      Parameters:
        `startTime` -
        `timeUnit` - 时间单位

    - #### setBorderColor

          AliyunIPipController setBorderColor(int value)

      设置边框颜色
      Specified by:
        `setBorderColor` in interface `AliyunISteamController`
      Parameters:
        `value` -

    - #### setBorderWidth

          AliyunIPipController setBorderWidth(float value)

      设置边框宽度
      Specified by:
        `setBorderWidth` in interface `AliyunISteamController`
      Parameters:
        `value` -
      Returns:

    - #### setBorderCornerRadius

          AliyunIPipController setBorderCornerRadius(float value)

      设置圆角边框
      Specified by:
        `setBorderCornerRadius` in interface `AliyunISteamController`
      Parameters:
        `value` - 圆角的像素值
      Returns:

    - #### setHorizontalFlip

          AliyunIPipController setHorizontalFlip(boolean flip)

      设置水平镜像翻转
      Specified by:
        `setHorizontalFlip` in interface `AliyunISteamController`
      Parameters:
        `flip` - 是否水平翻转
      Returns:

    - #### getPipRectFInCurrentScreen

          RectF getPipRectFInCurrentScreen()

           获取当前PIP在屏幕上的显示区域

      Returns:
        当前显示的矩形区域

    - #### getOwnerTrack

          AliyunIPipTrack getOwnerTrack()

      获取该画中画所在的轨道信息
      Returns: